commit 6e6ba6f540777d372f5157c1ce00ebda13020bb6
Author: freddy77 <freddy77>
Date:   Mon Mar 23 13:28:15 2009 +0000

    fix uninitialized data

diff --git a/ChangeLog b/ChangeLog
index f56790e..e82fe88 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Mar 23 14:26:46 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/dblib.c: fix uninitialized data
+
 Thu Mar 19 17:02:22 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/query.c:
 	- patch from Craig A. Berry for uninitialized variable
@@ -1440,4 +1443,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2759 2009/03/19 16:02:36 freddy77 Exp $
+$Id: ChangeLog,v 1.2760 2009/03/23 13:28:15 freddy77 Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 95ec9bb..1e7a6a2 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.344 2009/03/04 17:51:25 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.345 2009/03/23 13:28:15 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -1092,7 +1092,7 @@ init_dboptions(void)
 DBPROCESS *
 tdsdbopen(LOGINREC * login, const char *server, int msdblib)
 {
-	DBPROCESS *dbproc;
+	DBPROCESS *dbproc = NULL;
 	TDSCONNECTION *connection;
 
 	tdsdump_log(TDS_DBG_FUNC, "dbopen(%p, %s, [%s])\n", login, server, msdblib? "microsoft" : "sybase");

